# Uses of Interface
org.eclipse.emf.cdo.spi.common.revision.InternalCDORevision

Packages that use InternalCDORevision
Package
Description
org.eclipse.emf.cdo.common.protocol
Common concepts for dealing with protocols and CDO-specific I/O.
org.eclipse.emf.cdo.common.revision
Common concepts for dealing with revisions and revision lists.
org.eclipse.emf.cdo.lm.server
Server integration of the CDO Lifecycle Management.
org.eclipse.emf.cdo.server
Server concepts for dealing with repositories and stores.
org.eclipse.emf.cdo.server.db.mapping
Server concepts for dealing with mapping strategies and mappings for classes, lists and types.
org.eclipse.emf.cdo.spi.common.model
Common service provider interfaces and useful base implementations for dealing with models and types
org.eclipse.emf.cdo.spi.common.revision
Common service provider interfaces and useful base implementations for dealing with revisions and deltas.
org.eclipse.emf.cdo.spi.server
Server service provider interfaces and useful base implementations.
org.eclipse.emf.cdo.spi.workspace
Server provider interfaces (SPI) for CDO `workspaces`.
org.eclipse.emf.internal.cdo
Exposes `CDOObjectImpl` for extension in generated EMF models.
org.eclipse.emf.spi.cdo
Client service provider interfaces and useful base implementations.

## Uses of InternalCDORevision in org.eclipse.emf.cdo.common.protocol

Methods in org.eclipse.emf.cdo.common.protocol that return InternalCDORevision
Modifier and Type
Method
Description
`InternalCDORevision[]`
CDOProtocol.CommitData.`getNewObjects()`
Constructors in org.eclipse.emf.cdo.common.protocol with parameters of type InternalCDORevision
Modifier
Constructor
Description
``
`CommitData(InternalCDORevision[] newObjects, InternalCDORevisionDelta[] dirtyObjectDeltas, CDOID[] detachedObjects)`

## Uses of InternalCDORevision in org.eclipse.emf.cdo.common.revision

Methods in org.eclipse.emf.cdo.common.revision with parameters of type InternalCDORevision
Modifier and Type
Method
Description
`static boolean`
CDORevisionUtil.`isContained(InternalCDORevision child, CDOID container, CDORevisionProvider provider)`

## Uses of InternalCDORevision in org.eclipse.emf.cdo.lm.server

Methods in org.eclipse.emf.cdo.lm.server with parameters of type InternalCDORevision
Modifier and Type
Method
Description
`protected void`
AbstractLifecycleManager.`addFingerPrint(IStoreAccessor.CommitContext commitContext, InternalCDORevision fixedBaseline)`
`protected void`
AbstractLifecycleManager.`handleBaselineAddition(IStoreAccessor.CommitContext commitContext, InternalCDORevision addedContent)`
`protected void`
AbstractLifecycleManager.`handleModuleAddition(InternalCDORevision addedModule, Consumer<AbstractLifecycleManager.ModuleInfo> newModulesInfoConsumer)`
`protected void`
AbstractLifecycleManager.`handleModuleAddition(InternalCDORevision addedModule, List<org.eclipse.net4j.util.collection.Pair<String,CDOID>> newModules)`
Deprecated.
As of 1.2 use `AbstractLifecycleManager.handleModuleAddition(InternalCDORevision, Consumer)`.

## Uses of InternalCDORevision in org.eclipse.emf.cdo.server

Methods in org.eclipse.emf.cdo.server that return InternalCDORevision
Modifier and Type
Method
Description
`InternalCDORevision[]`
IStoreAccessor.CommitContext.`getDirtyObjects()`
Returns an array of the dirty objects that are part of the commit operation represented by this `CommitContext`.
`InternalCDORevision[]`
IStoreAccessor.CommitContext.`getNewObjects()`
Returns an array of the new objects that are part of the commit operation represented by this `CommitContext`.
`InternalCDORevision`
IStoreAccessor.`readRevision(CDOID id, CDOBranchPoint branchPoint, int listChunk, CDORevisionCacheAdder cache)`
Reads a revision from the back-end that was valid at the given timeStamp in the given branch.
`InternalCDORevision`
IStoreAccessor.`readRevisionByVersion(CDOID id, CDOBranchVersion branchVersion, int listChunk, CDORevisionCacheAdder cache)`
Reads a revision with the given version in the given branch from the back-end.
Methods in org.eclipse.emf.cdo.server that return types with arguments of type InternalCDORevision
Modifier and Type
Method
Description
`Map<CDOID,InternalCDORevision>`
IStoreAccessor.CommitContext.`getNewRevisions()`
`Map<CDOID,InternalCDORevision>`
IStoreAccessor.CommitContext.`getOldRevisions()`
Methods in org.eclipse.emf.cdo.server with parameters of type InternalCDORevision
Modifier and Type
Method
Description
`IStoreChunkReader`
IStoreAccessor.`createChunkReader(InternalCDORevision revision, EStructuralFeature feature)`
`protected Object`
CDOServerBrowser.RevisionsPage.`getRevisionValue(Object value, CDOServerBrowser browser, Map<CDOID,List<CDORevision>> ids, InternalCDORevision context)`
`void`
IStoreAccessor.Raw.`rawStore(InternalCDORevision revision, org.eclipse.net4j.util.om.monitor.OMMonitor monitor)`
Stores the given `revision` in the backend represented by this `raw store accessor` without going through a regular `commit`.
`protected void`
CDOServerBrowser.RevisionsPage.`showRevision(PrintStream pout, CDOServerBrowser browser, Map<CDOID,List<CDORevision>> ids, InternalCDORevision revision)`

## Uses of InternalCDORevision in org.eclipse.emf.cdo.server.db.mapping

Methods in org.eclipse.emf.cdo.server.db.mapping with parameters of type InternalCDORevision
Modifier and Type
Method
Description
`protected final Object`
AbstractTypeMapping.`getRevisionValue(InternalCDORevision revision)`
`boolean`
IClassMapping.`readRevision(IDBStoreAccessor accessor, InternalCDORevision revision, int listChunk)`
Read a revision.
`boolean`
IClassMappingAuditSupport.`readRevisionByVersion(IDBStoreAccessor storeAccessor, InternalCDORevision revision, int listChunk)`
Read a specific version of a revision.
`void`
IListMapping.`readValues(IDBStoreAccessor accessor, InternalCDORevision revision, int listChunk)`
Read the list size and the complete list or the first part of it.
`final void`
AbstractTypeMapping.`readValueToRevision(ResultSet resultSet, InternalCDORevision revision)`
`void`
DelegatingTypeMapping.`readValueToRevision(ResultSet resultSet, InternalCDORevision revision)`
`void`
ITypeMapping.`readValueToRevision(ResultSet resultSet, InternalCDORevision revision)`
Read a value from a `ResultSet`, convert it from the DB to the CDO representation and set it to the feature of the revision.
`final void`
AbstractTypeMapping.`setValueFromRevision(PreparedStatement stmt, int index, InternalCDORevision revision)`
`void`
DelegatingTypeMapping.`setValueFromRevision(PreparedStatement stmt, int index, InternalCDORevision revision)`
`void`
ITypeMapping.`setValueFromRevision(PreparedStatement stmt, int index, InternalCDORevision value)`
Set a value of the given revision to the JDBC `IDBPreparedStatement` using an appropriate `setXxx` method.
`void`
IClassMapping.`writeRevision(IDBStoreAccessor accessor, InternalCDORevision revision, boolean firstRevision, boolean revise, org.eclipse.net4j.util.om.monitor.OMMonitor monitor)`
Write the revision data to the database.
`void`
IListMapping.`writeValues(IDBStoreAccessor accessor, InternalCDORevision revision)`
Write a complete list of values to the database.

## Uses of InternalCDORevision in org.eclipse.emf.cdo.spi.common.model

Methods in org.eclipse.emf.cdo.spi.common.model that return InternalCDORevision
Modifier and Type
Method
Description
`InternalCDORevision`
InternalCDOClassInfo.`getRevisionForID(CDOID id)`

## Uses of InternalCDORevision in org.eclipse.emf.cdo.spi.common.revision

Classes in org.eclipse.emf.cdo.spi.common.revision that implement InternalCDORevision
Modifier and Type
Class
Description
`class`
`AbstractCDORevision`
If the meaning of this type isn't clear, there really should be more of a description here...
`class`
`BaseCDORevision`
If the meaning of this type isn't clear, there really should be more of a description here...
`class`
`DelegatingCDORevision`
If the meaning of this type isn't clear, there really should be more of a description here...
`class`
`DetachedCDORevision`
If the meaning of this type isn't clear, there really should be more of a description here...
`class`
`PointerCDORevision`
A `synthetic` revision that represents the initial period of an object in a `branch` when the object is still associated with a revision from one of the baseline branches.
`class`
`StubCDORevision`
If the meaning of this type isn't clear, there really should be more of a description here...
`class`
`SyntheticCDORevision`
A synthetic revision that represents the initial period of an object in a `branch` when the object is still associated with a revision from one of the baseline branches.
Methods in org.eclipse.emf.cdo.spi.common.revision that return InternalCDORevision
Modifier and Type
Method
Description
`InternalCDORevision`
DelegatingCDORevision.`copy()`
`InternalCDORevision`
InternalCDORevision.`copy()`
`InternalCDORevision`
StubCDORevision.`copy()`
`protected InternalCDORevision`
RevisionInfo.`doReadResult(CDODataInput in)`
Deprecated.
Not called anymore by the framework
`InternalCDORevision`
DelegatingCDORevisionManager.`getBaseRevision(CDORevision revision, int referenceChunk, boolean loadOnDemand)`
`InternalCDORevision`
InternalCDORevisionManager.`getBaseRevision(CDORevision revision, int referenceChunk, boolean loadOnDemand)`
`abstract InternalCDORevision`
DelegatingCDORevision.`getDelegate()`
`InternalCDORevision`
AbstractCDORevision.`getProperRevision()`
`InternalCDORevision`
DelegatingCDORevision.`getProperRevision()`
`InternalCDORevision`
InternalCDORevision.`getProperRevision()`
`InternalCDORevision`
RevisionInfo.Available.Normal.`getResult()`
`InternalCDORevision`
RevisionInfo.`getResult()`
`InternalCDORevision`
DelegatingCDORevisionManager.`getRevision(CDOID id, CDOBranchPoint branchPoint, int referenceChunk, int prefetchDepth, boolean loadOnDemand)`
`InternalCDORevision`
DelegatingCDORevisionManager.`getRevision(CDOID id, CDOBranchPoint branchPoint, int referenceChunk, int prefetchDepth, boolean loadOnDemand, SyntheticCDORevision[] synthetics)`
`InternalCDORevision`
InternalCDORevisionManager.`getRevision(CDOID id, CDOBranchPoint branchPoint, int referenceChunk, int prefetchDepth, boolean loadOnDemand)`
`InternalCDORevision`
InternalCDORevisionManager.`getRevision(CDOID id, CDOBranchPoint branchPoint, int referenceChunk, int prefetchDepth, boolean loadOnDemand, SyntheticCDORevision[] synthetics)`
`InternalCDORevision`
DelegatingCDORevisionManager.`getRevisionByVersion(CDOID id, CDOBranchVersion branchVersion, int referenceChunk, boolean loadOnDemand)`
`InternalCDORevision`
InternalCDORevisionManager.`getRevisionByVersion(CDOID id, CDOBranchVersion branchVersion, int referenceChunk, boolean loadOnDemand)`
`InternalCDORevision`
AbstractCDORevision.`getRevisionForID(CDOID id)`
`InternalCDORevision`
DelegatingCDORevision.`getRevisionForID(CDOID id)`
`InternalCDORevision`
InternalCDORevision.`getRevisionForID(CDOID id)`
`InternalCDORevision`
InternalCDORevisionManager.RevisionLoader.`loadRevisionByVersion(CDOID id, CDOBranchVersion branchVersion, int referenceChunk)`
`static InternalCDORevision`
RevisionInfo.`readResult(CDODataInput in, CDOID id, CDOBranch branch)`
Methods in org.eclipse.emf.cdo.spi.common.revision with parameters of type InternalCDORevision
Modifier and Type
Method
Description
`protected void`
RevisionInfo.`doWriteResult(CDODataOutput out, InternalCDORevision revision, int referenceChunk)`
Deprecated.
Not called anymore by the framework
`void`
CDORevisionUnchunker.`ensureChunks(InternalCDORevision revision, int chunkSize)`
`void`
CDORevisionMerger.`merge(InternalCDORevision revision, CDORevisionDelta delta)`
`void`
RevisionInfo.`setResult(InternalCDORevision result)`
`static void`
RevisionInfo.`writeResult(CDODataOutput out, InternalCDORevision revision, boolean writePointerTarget, int referenceChunk, CDOBranchPoint securityContext)`
`static void`
RevisionInfo.`writeResult(CDODataOutput out, InternalCDORevision revision, int referenceChunk)`
Deprecated.
As of 4.1 call `RevisionInfo.writeResult(CDODataOutput, InternalCDORevision, int, CDOBranchPoint)`.
`static void`
RevisionInfo.`writeResult(CDODataOutput out, InternalCDORevision revision, int referenceChunk, CDOBranchPoint securityContext)`
Deprecated.
As of 4.15 call `RevisionInfo.writeResult(CDODataOutput, InternalCDORevision, boolean, int, CDOBranchPoint)`.
Method parameters in org.eclipse.emf.cdo.spi.common.revision with type arguments of type InternalCDORevision
Modifier and Type
Method
Description
`void`
InternalCDORevisionCache.`getAllRevisions(List<InternalCDORevision> result)`
Fills a list with all `revisions`.

## Uses of InternalCDORevision in org.eclipse.emf.cdo.spi.server

Methods in org.eclipse.emf.cdo.spi.server that return InternalCDORevision
Modifier and Type
Method
Description
`InternalCDORevision`
Store.`createRevision(EClass eClass, CDOID id)`
`InternalCDORevision[]`
InternalCommitContext.`getDetachedRevisions()`
`InternalCDORevision[]`
InternalCommitContext.`getDetachedRevisions(boolean check)`
Methods in org.eclipse.emf.cdo.spi.server with parameters of type InternalCDORevision
Modifier and Type
Method
Description
`void`
InternalSession.`collectContainedRevisions(InternalCDORevision revision, CDOBranchPoint branchPoint, int referenceChunk, Set<CDOID> revisions, List<CDORevision> additionalRevisions)`
`IStoreAccessor`
InternalRepository.`ensureChunk(InternalCDORevision revision, EStructuralFeature feature, int chunkStart, int chunkEnd)`
`void`
InternalRepository.`ensureChunks(InternalCDORevision revision)`
`void`
InternalCommitContext.`setNewObjects(InternalCDORevision[] newObjects)`
`protected void`
StoreAccessor.`writeDirtyObjectRevisions(InternalCommitContext context, InternalCDORevision[] dirtyObjects, CDOBranch branch, org.eclipse.net4j.util.om.monitor.OMMonitor monitor)`
`protected void`
StoreAccessor.`writeNewObjectRevisions(InternalCommitContext context, InternalCDORevision[] newObjects, CDOBranch branch, org.eclipse.net4j.util.om.monitor.OMMonitor monitor)`
`protected abstract void`
StoreAccessor.`writeRevisions(InternalCDORevision[] revisions, CDOBranch branch, org.eclipse.net4j.util.om.monitor.OMMonitor monitor)`

## Uses of InternalCDORevision in org.eclipse.emf.cdo.spi.workspace

Methods in org.eclipse.emf.cdo.spi.workspace with parameters of type InternalCDORevision
Modifier and Type
Method
Description
`void`
InternalCDOWorkspaceBase.`registerAddedAndDetachedObject(InternalCDORevision revision)`
`void`
InternalCDOWorkspaceBase.`registerChangedOrDetachedObject(InternalCDORevision revision)`

## Uses of InternalCDORevision in org.eclipse.emf.internal.cdo

Methods in org.eclipse.emf.internal.cdo that return InternalCDORevision
Modifier and Type
Method
Description
`final InternalCDORevision`
CDOObjectImpl.`cdoRevision()`
`final InternalCDORevision`
CDOObjectImpl.`cdoRevision(boolean loadOnDemand)`
Methods in org.eclipse.emf.internal.cdo with parameters of type InternalCDORevision
Modifier and Type
Method
Description
`static void`
CDOObjectImpl.`revisionToInstanceFeature(InternalCDOObject instance, InternalCDORevision revision, EStructuralFeature eFeature)`

## Uses of InternalCDORevision in org.eclipse.emf.spi.cdo

Methods in org.eclipse.emf.spi.cdo that return InternalCDORevision
Modifier and Type
Method
Description
`InternalCDORevision`
InternalCDOObject.`cdoRevision()`
`InternalCDORevision`
InternalCDOObject.`cdoRevision(boolean loadOnDemand)`
`InternalCDORevision`
InternalCDOView.`getRevision(CDOID id, boolean loadOnDemand)`
Methods in org.eclipse.emf.spi.cdo that return types with arguments of type InternalCDORevision
Modifier and Type
Method
Description
`List<InternalCDORevision>`
CDOSessionProtocol.RefreshSessionResult.`getChangedObjects(CDOBranch branch)`
`Map<InternalCDOObject,InternalCDORevision>`
InternalCDOTransaction.`getCleanRevisions()`
`Map<CDOID,InternalCDORevision>`
InternalCDOView.ViewInvalidationData.`getOldRevisions()`
Methods in org.eclipse.emf.spi.cdo with parameters of type InternalCDORevision
Modifier and Type
Method
Description
`void`
CDOSessionProtocol.RefreshSessionResult.`addChangedObject(InternalCDORevision revision)`
`Object`
CDOStore.`convertToEMF(EObject eObject, InternalCDORevision revision, EStructuralFeature feature, int index, Object value)`
`Object`
CDOSessionProtocol.`loadChunk(InternalCDORevision revision, EStructuralFeature feature, int accessIndex, int fetchIndex, int fromIndex, int toIndex)`
`Map<CDORevision,CDOPermission>`
CDOSessionProtocol.`loadPermissions(InternalCDORevision[] revisions)`
Deprecated.
`void`
InternalCDOTransaction.`registerDirty(InternalCDOObject object, CDOFeatureDelta featureDelta, InternalCDORevision cleanRevision)`
`void`
InternalCDOTransaction.`registerFeatureDelta(InternalCDOObject object, CDOFeatureDelta featureDelta, InternalCDORevision cleanRevision)`
`Object`
CDOStore.`resolveProxy(InternalCDORevision revision, EStructuralFeature feature, int index, Object value)`
Method parameters in org.eclipse.emf.spi.cdo with type arguments of type InternalCDORevision
Modifier and Type
Method
Description
`void`
InternalCDOView.`collectViewedRevisions(Map<CDOID,InternalCDORevision> revisions)`
`void`
InternalCDOView.`invalidate(CDOBranch branch, long lastUpdateTime, List<CDORevisionKey> allChangedObjects, List<CDOIDAndVersion> allDetachedObjects, Map<CDOID,InternalCDORevision> oldRevisions, boolean async)`
Deprecated.
As of 4.2.
`void`
InternalCDOView.`invalidate(CDOBranch branch, long lastUpdateTime, List<CDORevisionKey> allChangedObjects, List<CDOIDAndVersion> allDetachedObjects, Map<CDOID,InternalCDORevision> oldRevisions, boolean async, boolean clearResourcePathCache)`
Deprecated.
As of 4.6.
`Map<CDORevision,CDOPermission>`
CDOSessionProtocol.`loadPermissions3(Map<CDOBranchPoint,Set<InternalCDORevision>> revisions)`
`CDOSessionProtocol.LockObjectsResult`
CDOSessionProtocol.`lockObjects(List<InternalCDORevision> viewedRevisions, int viewID, CDOBranch viewedBranch, org.eclipse.net4j.util.concurrent.IRWLockManager.LockType lockType, long timeout)`
Deprecated.
`void`
InternalCDOSession.`processRefreshSessionResult(CDOSessionProtocol.RefreshSessionResult result, CDOBranch branch, List<InternalCDOView> branchViews, Map<CDOBranch,Map<CDOID,InternalCDORevision>> viewedRevisions)`
`CDOSessionProtocol.RefreshSessionResult`
CDOSessionProtocol.`refresh(long lastUpdateTime, Map<CDOBranch,Map<CDOID,InternalCDORevision>> viewedRevisions, int initialChunkSize, boolean enablePassiveUpdates)`
`void`
InternalCDOView.ViewInvalidationData.`setOldRevisions(Map<CDOID,InternalCDORevision> oldRevisions)`
`Map<CDORevision,CDOPermission>`
CDOPermissionUpdater.`updatePermissions(InternalCDOSession session, Set<InternalCDORevision> revisions)`
`Map<CDORevision,CDOPermission>`
CDOPermissionUpdater2.`updatePermissions(InternalCDOSession session, Set<InternalCDORevision> revisions, CDOCommitInfo commitInfo)`
`Map<CDORevision,CDOPermission>`
CDOPermissionUpdater3.`updatePermissions(InternalCDOSession session, Map<CDOBranchPoint,Set<InternalCDORevision>> revisions, CDOCommitInfo commitInfo)`
`default Map<CDORevision,CDOPermission>`
CDOPermissionUpdater3.`updatePermissions(InternalCDOSession session, Set<InternalCDORevision> revisions)`
Deprecated.
As of 4.22 use `CDOPermissionUpdater3.updatePermissions(InternalCDOSession, Map, CDOCommitInfo)`.